cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yitao Jiang <willier...@gmail.com>
Subject Re: Cloudstack KVM Agent Installed Failed : error: Failed dependencies
Date Wed, 20 Aug 2014 03:09:46 GMT
Thanks Simon, I'll hava a try


---
Thanks,
Yitao(依涛 姜)
jiangyt.github.io


On Wed, Aug 20, 2014 at 11:00 AM, Simon Weller <sweller@ena.com> wrote:

> Yitao,
>
> If you're building your own CS rpms, you should be able to remove the
> "Requires: libvirt" from the cloud.spec file under packaging/centos63 prior
> to running the build.
>
> - Si
>
>
> ________________________________________
> From: Yitao Jiang <willierjyt@gmail.com>
> Sent: Tuesday, August 19, 2014 9:08 PM
> To: dev@cloudstack.apache.org
> Subject: Cloudstack KVM Agent Installed Failed : error: Failed dependencies
>
> Hi,
> When install cloudstack-agent from my own repos which built from source, it
> failed
>
> [root@devstack ~]# rpm -ivh
> http://192.168.129.7/ieureka/cloudstack-agent-4.3.0-1.el6.x86_64.rpm
> Retrieving
> http://192.168.129.7/ieureka/cloudstack-agent-4.3.0-1.el6.x86_64.rpm
>
> error: Failed dependencies:
>  libvirt is needed by cloudstack-agent-4.3.0-1.el6.x86_64
>
> But actually libvirt has installed from source (because the current
> libvirt that
> CentOS is shipping with in EL6  not support rbd )and works fine
>
> [root@devstack ~]# libvirtd --version
> libvirtd (libvirt) 1.2.7
> [root@devstack ~]# virsh version
> Compiled against library: libvirt 1.2.7
> Using library: libvirt 1.2.7
> Using API: QEMU 1.2.7
> Running hypervisor: QEMU 0.12.1
>
> If i used libvirt from CentOS 's repos i can install cloudstack-agent.
>
> Can you help me out?
>
>
> ---
> Thanks,
> Yitao(依涛 姜)
> jiangyt.github.io
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message